# svn2git-sync

Easily sync SVN repositories to their Git counterparts (or so I guess)

## Dependencies
* [Git](https://git-scm.com) (and `git-svn`)
* [Perl](https://www.perl.org)
* [Subversion](https://subversion.apache.org)

## Run
* Write a configuration file and save it on `~/.config/svn2git-sync.conf` 

```perl
$git_host = "https://git.yakumo.dev"
$git_passwd = "";
$git_user = "";
@repos = { "aya", "chen" };
$reporoot = "";
```

## Diagnostics
I only tested it on [Gitea](https://gitea.io), but I'm 100% sure it works just as fine with a home-made HTTP Basic Authentication setup with `git-http-backend(1)`
